1

I am experiencing some trouble with installing MariaDB 10.4 on Centos 7. The official mariaDB guide says that a new repo file MariaDB.repo should created in /etc/yum.repos.d/ with the contents of:

# MariaDB 10.4 CentOS repository list - created 2019-12-13 22:03 UTC
# http://downloads.mariadb.org/mariadb/repositories/
[mariadb]
name = MariaDB
baseurl = http://yum.mariadb.org/10.4/centos7-ppc64le
gpgkey=https://yum.mariadb.org/RPM-GPG-KEY-MariaDB
gpgcheck=1

I've run yum-config-manager --enable MariaDB.repo and yum update and inspected the enabled repos:

$ enabled | grep maria
mariadb          MariaDB              86

This confirms that the new repo is enabled. The guide later says to run sudo yum install MariaDB-server MariaDB-client. Unfortunately, there is nothing to install as I am greeted with a message:

Failed to set locale, defaulting to C
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.anexia.at
 * epel: ftp.uni-kl.de
 * extras: mirror.easyname.at
 * remi-php74: remi.mirror.karneval.cz
 * remi-safe: remi.mirror.karneval.cz
 * updates: centos.anexia.at
No package MariaDB-server available.
  * Maybe you meant: mariadb-server
No package MariaDB-client available.

Notice that there is no mention of MariaDB.repo I just enabled. Also, the suggested package mariadb-server is version 5.5. What is the correct way to install MariaDB version 10.4 on Centos 7?

1

I think you have selected the wrong cpu architecture in the MariaDB Repository Configuration Tool.

I've tested in a CentOS 7 with Intel cpu and with the MariaDB.repo that you post behaves as you say, but if I configure the repo for Intel (x86_64) installs correctly when I execute

yum install MariaDB-server

The output is

# yum install MariaDB-server
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.uvigo.es
 * extras: centos.uvigo.es
 * updates: centos.uvigo.es
Resolving Dependencies
--> Running transaction check
---> Package MariaDB-server.x86_64 0:10.4.11-1.el7.centos will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================
 Package                                     Arch                                Version                                            Repository                            Size
===============================================================================================================================================================================
Installing:
 MariaDB-server                              x86_64                              10.4.11-1.el7.centos                               mariadb                               26 M

If the cpu selection is correct I don't known what could be happening and I don't have a system with ppc64le architecture to test.

1
baseurl = http://yum.mariadb.org/10.4/centos7-ppc64le

https://en.wikipedia.org/wiki/Ppc64

In simple words, it is wrong CPU architecture, if you use PC but not IBM hardware. I guess you want x86_64 / amd64, so check http://yum.mariadb.org/10.4/centos7-amd64/

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.